// Rust Monero Library
// Written in 2019 by
//   h4sh3d <h4sh3d@protonmail.com>
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//

//! Blockdata consensus structures
//!
//! This module defines structures and functions for storing transactions which
//! make up the Monero system. Primites like Monero transactions and blocks are
//! under this module.
//!

pub mod block;
pub mod transaction;

pub use block::Block;
pub use transaction::{Transaction, TransactionPrefix, TxIn, TxOut};
